{
	"format_version": "1.10.0",
	"minecraft:client_entity": {
		"description": {
			"identifier": "nyc:toucan",
			"materials": {
				"default": "entity_alphatest"
			},
			"textures": {
				"default": "textures/entity/toucan"
			},
			"geometry": {
				"default": "geometry.toucan"
			},
			"animations": {
				"move": "animation.chicken.move",
				"general": "animation.chicken.general",
				"look_at_target": "animation.common.look_at_target",
				"baby_transform": "animation.chicken.baby_transform"
			},
			"scripts": {
				"animate": [
					"general",
					{
						"move": "query.modified_move_speed * 0.5"
					},
					"look_at_target",
					{
						"baby_transform": "query.is_baby"
					}
				]
			},
			"render_controllers": [
				"controller.render.toucan"
			],
			"spawn_egg": {
				"base_color": "#B5CE8A",
				"overlay_color": "#6279B6"
			}
		}
	}
}